package com.ximai.mes.pro.service.proWorkOrder;

import com.ximai.mes.pro.domain.proWorkOrder.ProWorkOrderChangeRecord;

import java.util.List;

/**
 * 工单变更记录Service接口
 *
 * @author generator
 * @date 2024-04-18
 */
public interface IProWorkOrderChangeRecordService {
    /**
     * 查询工单变更记录
     *
     * @param id 工单变更记录主键
     * @return 工单变更记录
     */
    ProWorkOrderChangeRecord selectProWorkOrderChangeRecordById(Long id);

    /**
     * 查询工单变更记录列表
     *
     * @param proWorkOrderChangeRecord 工单变更记录
     * @return 工单变更记录集合
     */
    List<ProWorkOrderChangeRecord> selectProWorkOrderChangeRecordList(ProWorkOrderChangeRecord proWorkOrderChangeRecord);

    /**
     * 新增工单变更记录
     *
     * @param proWorkOrderChangeRecord 工单变更记录
     * @return 结果
     */
    int insertProWorkOrderChangeRecord(ProWorkOrderChangeRecord proWorkOrderChangeRecord);

    /**
     * 修改工单变更记录
     *
     * @param proWorkOrderChangeRecord 工单变更记录
     * @return 结果
     */
    int updateProWorkOrderChangeRecord(ProWorkOrderChangeRecord proWorkOrderChangeRecord);

    /**
     * 批量删除工单变更记录
     *
     * @param ids 需要删除的工单变更记录主键集合
     * @return 结果
     */

    int deleteProWorkOrderChangeRecordByIds(Long[] ids);

    /**
     * 删除工单变更记录信息
     *
     * @param id 工单变更记录主键
     * @return 结果
     */
    int deleteProWorkOrderChangeRecordById(Long id);


}
